Subject: bug#1183: 23.0.60; ediff-buffers is broken

From: "Drew Adams" <[email-masked]>
Date: Thu, 16 Oct 2008 14:58:23 -0700

> From: Eli Zaretskii Sent: Thursday, October 16, 2008 2:16 PM
> > From: "Drew Adams" Date: Thu, 16 Oct 2008 13:45:21 -0700
> > 
> > > If so, this is expected:
> > 
> > Well it certainly isn't expected in Emacs 20, 21, or 22, 
> > where ediff-buffers works perfectly for these two files.
> > Why this change for Emacs 23? What's the gain?
> 
> Sorry, you are right: Emacs 22 also uses --binary, but doesn't expose
> this problem.  So I guess something else is at work here.  I'll look
> closer when I have time.

Thanks, Eli. 

BTW, I don't know if it's related, but I just filed bug #1187, which has to do
with reading characters differently in Emacs 23 from Emacs 22. Maybe the two are
related in some way.

> > And how to change the buffers (e.g. line endings) so 
> > ediff-buffers will compare them correctly?
> 
> "C-x RET f unix RET C-x C-s".

But that would save the file with the new line endings. What if I don't want to
do that? ediff-buffers should not require you to save a file differently or even
to have a file associated with the buffer.